Bug 1323464 - btrfs check reports false positives bad extent, type mismatch with chunk
Summary: btrfs check reports false positives bad extent, type mismatch with chunk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: btrfs-progs
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-03 10:35 UTC by Dan Dragomir
Modified: 2017-05-16 14:31 UTC (History)
4 users (show)

Fixed In Version: btrfs-progs-4.4.1-1.fc24 btrfs-progs-4.4.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-06 14:06:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Dragomir 2016-04-03 10:35:13 UTC
Description of problem:

btrfs check complains about a bunch of error like this one:
bad extent [347045888, 347062272), type mismatch with chunk
which are false positives.

Version-Release number of selected component (if applicable):

[dan@tauron backup]$ btrfs --version
btrfs-progs v4.3.1

How reproducible:

run btrfs check on a filesystem that triggers the false positive

Actual results:

btrfs reports false positives about mismatched chunks

Expected results:

btrfs doesn't report false positives

Additional info:

This is a bug recognized by upstream and fixed in version 4.4.1 [1]. The mismatch check was introduced to recognize some filesystems created with mkfs.btrfs v.4.1.1 [2], but it produced false positives on some correct filesystems.

A simple fix for this bug is to update Fedora's package to btrfs-progs 4.4.1 or later. I compiled the same version from source and it's not reporting any errors on my filesystem.

[1] https://www.mail-archive.com/linux-btrfs@vger.kernel.org/msg50740.html
[2] https://www.mail-archive.com/linux-btrfs%40vger.kernel.org/msg44719.html

Comment 1 Eric Sandeen 2016-04-04 15:55:33 UTC
Ok, easy enough to push 4.4.1 over, thanks.

-Eric

Comment 2 Fedora Update System 2016-04-04 16:29:15 UTC
btrfs-progs-4.4.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e902cf017e

Comment 3 Fedora Update System 2016-04-04 16:29:22 UTC
btrfs-progs-4.4.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8936a1f105

Comment 4 Fedora Update System 2016-04-04 19:22:25 UTC
btrfs-progs-4.4.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8936a1f105

Comment 5 Fedora Update System 2016-04-05 15:53:43 UTC
btrfs-progs-4.4.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e902cf017e

Comment 6 Fedora Update System 2016-04-06 14:06:41 UTC
btrfs-progs-4.4.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-04-06 17:20:26 UTC
btrfs-progs-4.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 udo 2017-05-16 14:31:04 UTC
btrfs-progs-4.5.2-1.fc24.x86_64 still or again shows the same problem.


Note You need to log in before you can comment on or make changes to this bug.